import { N as notFound, f as lazyRouteComponent, p as createFileRoute } from "../_libs/@tanstack/react-router+[...].mjs";
import { n as getPost } from "./blog-CfkF-yk_.mjs";
//#region node_modules/.nitro/vite/services/ssr/assets/blog._slug-CXciv5qc.js
var $$splitComponentImporter = () => import("./blog._slug-lymbEaev.mjs");
var $$splitErrorComponentImporter = () => import("./blog._slug-C0jQg9Eg.mjs");
var $$splitNotFoundComponentImporter = () => import("./blog._slug-1hrPfeup.mjs");
var Route = createFileRoute("/blog/$slug")({
	loader: ({ params }) => {
		const post = getPost(params.slug);
		if (!post) throw notFound();
		return post;
	},
	head: ({ loaderData }) => !loaderData ? { meta: [{ title: "Članak nije pronađen" }, {
		name: "robots",
		content: "noindex"
	}] } : { meta: [
		{ title: `${loaderData.title} | Švonja Beauty` },
		{
			name: "description",
			content: loaderData.excerpt
		},
		{
			property: "og:title",
			content: loaderData.title
		},
		{
			property: "og:description",
			content: loaderData.excerpt
		},
		{
			property: "og:type",
			content: "article"
		}
	] },
	notFoundComponent: lazyRouteComponent($$splitNotFoundComponentImporter, "notFoundComponent"),
	errorComponent: lazyRouteComponent($$splitErrorComponentImporter, "errorComponent"),
	component: lazyRouteComponent($$splitComponentImporter, "component")
});
//#endregion
export { Route as t };
